import './App.css';
import React from 'react';
import { Provider } from 'react-redux';
import store from './reducers';
import ConnectRoutes from './components/routes';


// const Preloading = ({ promiseName, promiseState, children }) => {
//   return (
//     <>
//       {(promiseState[promiseName] && promiseState[promiseName].status === "RESOLVED") ? children : null}
//     </>
//   )
// }

// const CPreloading = connect(state => ({ promiseState: state.promise }))

store.subscribe(() => console.log(store.getState()))

function App() {
  return (
    <div className="app">
      <Provider store={store}>
        <ConnectRoutes />
      </Provider>
    </div >
  );
}

export default App;